[arch-commits] Commit in python-ldap3/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sat Aug 8 18:17:31 UTC 2020


    Date: Saturday, August 8, 2020 @ 18:17:31
  Author: felixonmars
Revision: 672583

archrelease: copy trunk to community-any

Added:
  python-ldap3/repos/community-any/PKGBUILD
    (from rev 672582, python-ldap3/trunk/PKGBUILD)
Deleted:
  python-ldap3/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   62 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 31 insertions(+), 31 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-08-08 18:17:19 UTC (rev 672582)
+++ PKGBUILD	2020-08-08 18:17:31 UTC (rev 672583)
@@ -1,31 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Simon Sapin <simon dot sapin at exyr dot org>
-# Contributor: Kyle Keen <keenerd at gmail.com>
-
-pkgname=python-ldap3
-pkgver=2.7
-pkgrel=2
-pkgdesc="A strictly RFC 4510 conforming LDAP V3 pure Python client library"
-url="https://github.com/cannatag/ldap3"
-license=('LGPL')
-arch=('any')
-depends=('python-pyasn1')
-makedepends=('python-setuptools')
-checkdepends=('python-nose')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/cannatag/ldap3/archive/v$pkgver.tar.gz")
-sha512sums=('52b9e8632a8d0b5cfdd801d165f72cfa78b6fa56e1c5e1b3b0b44ad1f1d695a55506b324d88af429319bc9b7b2a5d67d8f0eb6b7c305aa06a7ed9fec8aedbd94')
-
-build() {
-  cd "$srcdir"/ldap3-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd "$srcdir"/ldap3-$pkgver
-  nosetests3 -s test || warning "Tests require a running LDAP server"
-}
-
-package() {
-  cd ldap3-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}

Copied: python-ldap3/repos/community-any/PKGBUILD (from rev 672582, python-ldap3/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-08-08 18:17:31 UTC (rev 672583)
@@ -0,0 +1,31 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Simon Sapin <simon dot sapin at exyr dot org>
+# Contributor: Kyle Keen <keenerd at gmail.com>
+
+pkgname=python-ldap3
+pkgver=2.8
+pkgrel=1
+pkgdesc="A strictly RFC 4510 conforming LDAP V3 pure Python client library"
+url="https://github.com/cannatag/ldap3"
+license=('LGPL')
+arch=('any')
+depends=('python-pyasn1')
+makedepends=('python-setuptools')
+checkdepends=('python-nose')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/cannatag/ldap3/archive/v$pkgver.tar.gz")
+sha512sums=('5fd5d35910dbe9818f7c3dc4d3b89ff289a259728bee1bd42700ddc309d68123e41ed4e6ed8bf081138bb549f4d778c127ce50ac39f9cbdaf10751e1137a3f15')
+
+build() {
+  cd "$srcdir"/ldap3-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd "$srcdir"/ldap3-$pkgver
+  nosetests3 -s test || warning "Tests require a running LDAP server"
+}
+
+package() {
+  cd ldap3-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}


More information about the arch-commits mailing list